Bug 212772 - binutils-devel should be part of default development install
binutils-devel should be part of default development install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 19:06 EDT by David Baron
Modified: 2013-01-09 20:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:36:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-10-28 19:06:25 EDT
Description of problem:  In FC6 (relative to FC5), binutils was split into
binutils and binutils-devel.  However, binutils-devel is no longer part of the
default install, even when development packages are selected.  (It doesn't
appear at all in comps.xml.)  The binutils headers are needed when compiling a
decent number of programs, so it seems like they should be part of a development
install -- i.e., be a default package in the development-libs group in comps.xml.

I suspect this package is needed to compile many debugging / profiling tools.  I
know it's needed for jprof (a profiler that's part of Mozilla).

Version-Release number of selected component (if applicable):
binutils-2.17.50.0.3-6
binutils-devel-2.17.50.0.3-6

This is a regression relative to FC5, where these headers/libraries were part of
the binutils package.
Comment 1 Dennis Gregorovic 2006-12-22 11:45:13 EST
took this by accident
Comment 2 Jesse Keating 2007-01-02 14:36:31 EST
I've fixed this in our comps file, and will hopefully remember it if we make a
'Developer' spin of Fedora 7.

Note You need to log in before you can comment on or make changes to this bug.